% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/summ_count_phyloseq.R
\name{summ_count_phyloseq}
\alias{summ_count_phyloseq}
\title{Summary Statistics of a Phyloseq Object}
\usage{
summ_count_phyloseq(physeq)
}
\arguments{
\item{physeq}{A phyloseq object containing the taxonomic and abundance data.}
}
\value{
A data frame with overall summary statistics.
}
\description{
This function computes overall summary statistics (mean, median, standard deviation, standard error, and quantiles) for the OTU table in a phyloseq object.
}
\examples{
\dontrun{
if (interactive()) {
  # Example usage:
  summary_stats <- summ_count_phyloseq(spiked_ITS)
  summary_stats <- summ_count_phyloseq(processed_data)
}
}
}
